#include <stdio.h>
#include <math.h>
/* =======================================================================
CC
CC NAME       :  DMLMAV
CC
CC    CALL DMLMAV(X,T,Y)
CC
CC PURPOSE    :  MULTIPLIES A 3*3 - MATRIX T WITH A VECTOR X :
CC               (USUALLY USED FOR ROTATIONS IN 3-D SPACE)
CC               Y = T * X
CC               X AND Y MAY BE IDENTICAL IN THE CALLING PROGRAM
CC
CC PARAMETERS :
CC         IN :  X      : VECTOR (3 DIM.)                     R*8(3)
CC               T      : MATRIX (3*3)                        R*8(3,3)
CC        OUT :  Y      : VECTOR (3 DIM.) : PRODUCT T*X       R*8(3)
CC
CC SR CALLED  :  ---
CC
CC REMARKS    :  ---
CC
CC AUTHOR     :  G.BEUTLER
CC
CC VERSION    :  3.0
CC
CC CREATED    :  87/10/29 09:22        LAST MODIFIED :  87/10/30 17:58
CC
CC COPYRIGHT  :  ASTRONOMICAL INSTITUTE
CC      1987      UNIVERSITY OF BERNE
CC                    SWITZERLAND
CC MODIFIED:
CC              17-Oct-2005 : Converted to c; R. Ricklefs UT/CSR
CC
C* ========================================================================= */
void
dmlmav(double x[3], double t[3][3], double y[3])
{
      double z[3];
      int i, k;

      for (i=0; i<3; i++) {
        z[i]= 0;
        for (k=0; k<3; k++) {
          z[i]+=t[k][i]*x[k];
        }
      }
      for (i=0; i<3; i++) {
        y[i]=z[i];
      }
}
