/*
 * ephi.h
 * CPF ephemeris file include Version 2.00
 * Jan 2018
 * R. L. Ricklefs UT Austin / CSR
 */
#define MAXENT 36000
  struct eh {
    double prf;
    double xpond_xmit_delay;
    double xpond_utc_off;
    double xpond_osc_drift;
    double xpond_clock_ref_time;
    double cofm_corr;
    int cospar_id;
    int sic;
    int norad;
    int eph_seq;
    int eph_seq_doy;
    int sttpyear;
    int sttpmonth;
    int sttpday;
    int sttphour;
    int sttpmin;
    int sttpsec;
    int endpyear;
    int endpmonth;
    int endpday;
    int endphour;
    int endpmin;
    int endpsec;
    int ephsep;
    int compat;
    int version;
    int epyear;
    int epmon;
    int epday;
    int ephour;
    int tar_type;
    int tar_class;
    int tar_loc;
    int ref_frame;
    int rot_type;
    int cofm_app;
    int ltcorr;
    int atrk_ro_0;
    int xtrk_ro_0;
    int rtrk_ro_0;
    int atrk_ro_1;
    int xtrk_ro_1;
    int rtrk_ro_1;
    int atrk_ro_2;
    int xtrk_ro_2;
    int rtrk_ro_2;
    int eph_seq_subday;
    char eph_source[4];
    char tar_name[11];
    char eph_notes[11];
  } ;

  struct ei {
    double jdi[MAXENT];
    double jdf[MAXENT];
    double outv[6][MAXENT];
    double backv[6][MAXENT];
    double c12[MAXENT];
    double c23[MAXENT];
    double aberoutv[3][MAXENT];
    double aberbackv[3][MAXENT];
    int leapflag[MAXENT];
    double jds[MAXENT];
    double oscrelcorr[MAXENT];
    double offsetjdi[MAXENT];
    double offsetjdf[MAXENT];
    char offsetname[11][MAXENT];
    double offsetoutv[3][MAXENT];
    double offsetbackv[3][MAXENT];
    double offsetjds[MAXENT];
    double rotjdi[MAXENT];
    double rotjdf[MAXENT];
    double rotangv[3][MAXENT];
    double gast[MAXENT];
    double rotjds[MAXENT];
    double eopjdi[MAXENT];
    double eopjdf[MAXENT];
    double eopxy[2][MAXENT];
    double eopdutc[MAXENT];
    double eopjds[MAXENT];
    int	nv;
    int  nvoff;
    int  nvrot;
    int  nveop;
  } ;
